# Abrechnung

[![GitHub Actions Status](https://github.com/SFTtech/abrechnung/actions/workflows/ci_testing.yaml/badge.svg)](https://github.com/SFTtech/abrechnung/actions/workflows/ci_testing.yaml)

The *Abrechnung* (German for *reckoning*, *settlement*, *revenge*) aims to be a versatile and user-centric **payment**, **transaction** and **bookkeeping** management tool for human groups and events.

>>> You can simply **try** our [**demo instance**](https://demo.abrechnung.sft.lol)!


Abrechnung is a tool to track *money*, *purchases* (and its items) and *debtors* for:

Group life | Events | Travelling
-|-|-
Flat share roommates | Cooking revelries | Holiday trips
Your Hackerspace | LAN parties | Business trips
Family life | Regular parties | Adventures
... | ... | ...


---

All this is possible through the **basic blocks**:

* Purchase & transaction tracking
* Accounts with balance compensation
* Invoice handling + optional position specification
* Assignment (by fractions or counts) of positions and invoices
* Clearing accounts for merging transactions
* Multitenant access


## Documentation

To help you set up your instance or understand the inner workings:

**[Read the documentation!](https://abrechnung.readthedocs.io)**


## Technical foundation

Technology        | Component
------------------|----------
**Python**        | Backend logic
**React**         | Web UI framework
**PostgresSQL**   | Database
**Homo Sapiens**  | Magic sauce


## Contributing

If there is **that feature** you really want to see implemented, you found a **bug** or would like to help in some other way, the project of course benefits from your contributions!

* [Contribution guide](https://abrechnung.readthedocs.io/en/latest/development/contributing.html)
* [Issue tracker](https://github.com/SFTtech/abrechnung/issues)
* [Code contributions](https://github.com/SFTtech/abrechnung/pulls)
* [Development roadmap](https://github.com/SFTtech/abrechnung/projects)


## Contact

To directly reach developers and other users, we have chat rooms.
For questions, suggestions, problem support, please join and just ask!

Contact          | Where?
-----------------|-------
Issue Tracker    | [SFTtech/abrechnung](https://github.com/SFTtech/abrechnung/issues)
Matrix Chat      | [`#sfttech:matrix.org`](https://app.element.io/#/room/#sfttech:matrix.org)
Support us       | [![money sink](https://liberapay.com/assets/widgets/donate.svg)](https://liberapay.com/SFTtech)


## License

Released under the **GNU Affero General Public License** version 3 or later, see [COPYING](COPYING)
and [LICENSE](LICENSE) for details.
